#!/usr/bin/env bash
set -o xtrace

pub get

# TODO: dartanalyzer on all libraries and main entry points in Pixelate 

# Get library files
LIBS=$(ls lib/*.dart) 
docgen --compile --package-root=./packages --no-include-sdk --include-private $LIBS

rm dartdoc-viewer/client/out/web/packages
rm dartdoc-viewer/client/out/web/docs/packages
rm dartdoc-viewer/client/out/web/docs/Unscripted/packages

rm dartdoc-viewer/client/out/web/static/packages
rm dartdoc-viewer/client/out/web/static/js/packages
rm dartdoc-viewer/client/out/web/static/css/packages

# Stage doc files
mv dartdoc-viewer/client/out/packages dartdoc-viewer/client/out/web/packages
mv dartdoc-viewer/client/out/web ./.docs_staging

# Fix the paths in the built files
# TODO: Remove when https://code.google.com/p/dart/issues/detail?id=17596 is fixed
#cd bin
#dart --package-root=packages fix_paths.dart
#cd ..

# Fetch origin
git fetch origin

# Get branches
git branch -v -a

# Delete any files that might still be around.
rm -rf *

# Copy docs up to GitHub gh-pages branch
git checkout --track -b gh-pages origin/gh-pages

# Delete any files that might still be around.
rm -rf *

# Unstage files
date > date.txt
cp -r .docs_staging docs
rm -rf .docs_staging

git add -A
git commit -m "auto commit docs from drone.io"
git remote set-url origin git@github.com:seaneagan/unscripted.git
git push origin gh-pages
